---
title: Headers()
slug: Web/API/Headers/Headers
tags:
  - API
  - Constructor
  - Experimental
  - Fetch
  - Reference
---
<div>{{APIRef("Fetch")}}</div>

<p>The <code><strong>Headers()</strong></code> constructor creates a new {{domxref("Headers")}} object.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <em>myHeaders</em> = new Headers(<em>init</em>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>init</code> {{optional_inline}}</dt>
 <dd>An object containing any <a href="/en-US/docs/Web/HTTP/Headers">HTTP headers</a> that you want to pre-populate your <code>Headers</code> object with. This can be a simple object literal with {{domxref("ByteString")}} values; or an existing <code>Headers</code> object. In the last case, the new <code>Headers</code> object inherits its data from the existing <code>Headers</code> object.</dd>
</dl>

<h2 id="Example">Example</h2>

<p>Creating an empty <code>Headers</code> object is simple:</p>

<pre class="brush: js notranslate">var myHeaders = new Headers(); // Currently empty</pre>

<p>You could add a header to this using {{domxref("Headers.append")}}:</p>

<pre class="brush: js notranslate">myHeaders.append('Content-Type', 'image/jpeg');
myHeaders.get('Content-Type'); // Returns 'image/jpeg'
</pre>

<p>Or you can add the headers you want as the <code>Headers</code> object is created. In the following snippet we create a new {{domxref("Headers")}} object, adding some headers by passing the constructor an init object as an argument:</p>

<pre class="brush: js notranslate">var httpHeaders = { 'Content-Type' : 'image/jpeg', 'Accept-Charset' : 'utf-8', 'X-My-Custom-Header' : 'Zeke are cool' };
var myHeaders = new Headers(httpHeaders);</pre>

<p>You can now create another <code>Headers</code> object, passing it the first <code>Headers</code> object as its init object:</p>

<pre class="brush: js notranslate">var secondHeadersObj = new Headers(myHeaders);
secondHeadersObj.get('Content-Type'); // Would return 'image/jpeg' — it inherits it from the first headers object</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Fetch','#dom-headers','Headers()')}}</td>
   <td>{{Spec2('Fetch')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Headers.Headers")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/ServiceWorker_API">ServiceWorker API</a></li>
 <li><a href="/en-US/docs/Web/HTTP/Access_control_CORS">HTTP access control (CORS)</a></li>
 <li><a href="/en-US/docs/Web/HTTP">HTTP</a></li>
</ul>
